| IDA SDK

Public Attributes | Public Member Functions | Friends | List of all members
debug_event_t Struct Reference

## Detailed Description

This structure is used only when detailed information about a debug event is needed.

## Public Attributes
pid_t | pid = NO_PROCESS
| Process where the event occurred.
thid_t | tid = NO_THREAD
| Thread where the event occurred.
ea_t | ea = BADADDR
| Address where the event occurred.
bool | handled = false
| Is event handled by the debugger?. More...

## Public Member Functions
| debug_event_t (const debug_event_t &r)
debug_event_t & | operator= (const debug_event_t &r)
debug_event_t & | copy (const debug_event_t &r)
void | clear ()
| clear the dependent information (see below), set event code to NO_EVENT
void | clear_all ()
event_id_t | eid () const
| Event code.
void | set_eid (event_id_t id)
| Set event code. More...
bool | is_bitness_changed () const
| process bitness
void | set_bitness_changed (bool on=true)
modinfo_t & | modinfo ()
| Information that depends on the event code: More...
int & | exit_code ()
| THREAD_STARTED (thread name) LIB_UNLOADED (unloaded library name) INFORMATION (will be displayed in the output window if not empty)
qstring & | info ()
| BREAKPOINT
bptaddr_t & | bpt ()
| EXCEPTION
excinfo_t & | exc ()
const modinfo_t & | modinfo () const
const int & | exit_code () const
const qstring & | info () const
const bptaddr_t & | bpt () const
const excinfo_t & | exc () const
modinfo_t & | set_modinfo (event_id_t id)
void | set_exit_code (event_id_t id, int code)
qstring & | set_info (event_id_t id)
bptaddr_t & | set_bpt ()
excinfo_t & | set_exception ()
ea_t | bpt_ea () const
| On some systems with special memory mappings the triggered ea might be different from the actual ea. More...

## Friends
THREAD_SAFE void ida_export | free_debug_event (debug_event_t *ev)
THREAD_SAFE void ida_export | copy_debug_event (debug_event_t *ev, const debug_event_t &r)
THREAD_SAFE void ida_export | set_debug_event_code (debug_event_t *ev, event_id_t id)

## Member Function Documentation

## ◆ set_eid()

void debug_event_t::set_eid | ( | event_id_t | id | ) |
| inline

Set event code.

If the new event code is compatible with the old one then the dependent information (see below) will be preserved. Otherwise the event will be cleared and the new event code will be set.

## ◆ modinfo()

modinfo_t & debug_event_t::modinfo | ( |  | ) |
| inline

Information that depends on the event code:

< PROCESS_STARTED, PROCESS_ATTACHED, LIB_LOADED PROCESS_EXITED, THREAD_EXITED

## ◆ bpt_ea()

ea_t debug_event_t::bpt_ea | ( |  | ) | const
| inline

On some systems with special memory mappings the triggered ea might be different from the actual ea.

Calculate the address to use.

## Member Data Documentation

## ◆ handled

bool debug_event_t::handled = false

Is event handled by the debugger?.

(from the system's point of view) Meaningful for EXCEPTION events

The documentation for this struct was generated from the following file:

- idd.hpp